Skip to main content
PATCH
Change Webhook Endpoint

Authorizations

Authorization
string
header
required

Authentication: You can generate a Personal Access Token from your settings.

Path Parameters

id
string<uuid4>
required

Identifier of the webhook endpoint.

Body

application/json

Schema used to update a webhook endpoint.

url
string<uri> | null

Url: URL where the webhook events will be sent.

Required string length: 1 - 2083
Example:

"https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0"

name
string | null

Object representing optional name for the webhook endpoint to help organize and identify it.

format
enum<string> | null

Format: Format of the webhook payload.

Available options:
raw,
discord,
slack
events
enum<string>[] | null

Events: Events that will trigger the webhook.

Available options:
checkout.created,
checkout.updated,
checkout.expired,
customer.created,
customer.updated,
customer.deleted,
customer.state_changed,
customer_seat.assigned,
customer_seat.claimed,
customer_seat.revoked,
member.created,
member.updated,
member.deleted,
order.created,
order.updated,
order.paid,
order.refunded,
subscription.created,
subscription.updated,
subscription.active,
subscription.canceled,
subscription.uncanceled,
subscription.revoked,
subscription.past_due,
refund.created,
refund.updated,
product.created,
product.updated,
benefit.created,
benefit.updated,
benefit_grant.created,
benefit_grant.cycled,
benefit_grant.updated,
benefit_grant.revoked,
organization.updated
enabled
boolean | null

Indicates whether the webhook endpoint is enabled.

Response

Response: Webhook endpoint updated.

Object representing webhook endpoint.

created_at
string<date-time>
required

The time Ruba created this record.

modified_at
string<date-time> | null
required

The time this record last changed.

id
string<uuid4>
required

The stable identifier for this record.

url
string
required

Url: URL where the webhook events will be sent.

Example:

"https://webhook.site/cb791d80-f26e-4f8c-be88-6e56054192b0"

format
enum<string>
required

Format: Format of the webhook payload.

Available options:
raw,
discord,
slack
secret
string
required

Secret: Secret used to sign the webhook events.

Example:

"ruba_whs_ovyN6cPrTv56AApvzCaJno08SSmGJmgbWilb33N2JuK"

organization_id
string<uuid4>
required

Organization Id: Organization ID associated with the webhook endpoint.

events
enum<string>[]
required

Events: Events that will trigger the webhook.

Available options:
checkout.created,
checkout.updated,
checkout.expired,
customer.created,
customer.updated,
customer.deleted,
customer.state_changed,
customer_seat.assigned,
customer_seat.claimed,
customer_seat.revoked,
member.created,
member.updated,
member.deleted,
order.created,
order.updated,
order.paid,
order.refunded,
subscription.created,
subscription.updated,
subscription.active,
subscription.canceled,
subscription.uncanceled,
subscription.revoked,
subscription.past_due,
refund.created,
refund.updated,
product.created,
product.updated,
benefit.created,
benefit.updated,
benefit_grant.created,
benefit_grant.cycled,
benefit_grant.updated,
benefit_grant.revoked,
organization.updated
enabled
boolean
required

Indicates whether the webhook endpoint is enabled and will receive events.

name
string | null

Object representing optional name for the webhook endpoint to help organize and identify it.